package com.prolog.cs.biz.inbound.dto.rqc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.cs.biz.inbound.constant.ValidatorGroup.validAdd;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 复检单行 
 * @Author Xiong  
 * @Date 2021-04-02 
 */

@ApiModel
public class RqcRechekLinesDTO  implements Serializable {
	private static final long serialVersionUID =  7213994622454908042L;
	@ApiModelProperty(value = "业主编号",required = true) 
	@NotBlank(message = "业主编号 can not blank!",groups = validAdd.class) 
	private String consignor;

	@ApiModelProperty(value = "质检单号",required = true) 
	@NotBlank(message = "质检单号 can not blank!",groups = validAdd.class) 
	private String billno;

	@ApiModelProperty(value = "行号",required = true) 
	@NotBlank(message = "行号 can not blank!",groups = validAdd.class) 
	private String rqcLineid;

	@ApiModelProperty(value = "容器") 
	private String containerno;

	@ApiModelProperty(value = "商品编码",required = true) 
	@NotBlank(message = "商品编码 can not blank!",groups = validAdd.class) 
	private String itemid;

	@ApiModelProperty(value = "批号") 
	private String lotid;

	@ApiModelProperty(value = "质检状态（10初始13确认）",required = true) 
	@NotBlank(message = "质检状态（10初始13确认） can not blank!",groups = validAdd.class) 
	private String qcStatus;

	@ApiModelProperty(value = "质检结论（合格/不合格）") 
	private String qcResult;

	@ApiModelProperty(value = "质检原因") 
	private String qcReason;

	@ApiModelProperty(value = "质检人员") 
	private String qcopcode;

	@ApiModelProperty(value = "质检时间") 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date qcopdate;

	@ApiModelProperty(value = "复检结论") 
	private String reqcresult;

	@ApiModelProperty(value = "复检时间") 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date reqcopdate;

	@ApiModelProperty(value = "复检人员") 
	private String reqcopcode;

	@ApiModelProperty(value = "零头") 
	private BigDecimal qcodd;

	@ApiModelProperty(value = "件数") 
	private BigDecimal qcpcs;

	@ApiModelProperty(value = "数量") 
	private BigDecimal qcqty;

	@ApiModelProperty(value = "复检次数") 
	private BigDecimal times;


	public String getConsignor() {
		return this.consignor;
	}

	public void setConsignor(String consignor) {
		this.consignor = consignor;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getRqcLineid() {
		return this.rqcLineid;
	}

	public void setRqcLineid(String rqcLineid) {
		this.rqcLineid = rqcLineid;
	}

	public String getContainerno() {
		return this.containerno;
	}

	public void setContainerno(String containerno) {
		this.containerno = containerno;
	}

	public String getItemid() {
		return this.itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getLotid() {
		return this.lotid;
	}

	public void setLotid(String lotid) {
		this.lotid = lotid;
	}

	public String getQcStatus() {
		return this.qcStatus;
	}

	public void setQcStatus(String qcStatus) {
		this.qcStatus = qcStatus;
	}

	public String getQcResult() {
		return this.qcResult;
	}

	public void setQcResult(String qcResult) {
		this.qcResult = qcResult;
	}

	public String getQcReason() {
		return this.qcReason;
	}

	public void setQcReason(String qcReason) {
		this.qcReason = qcReason;
	}

	public String getQcopcode() {
		return this.qcopcode;
	}

	public void setQcopcode(String qcopcode) {
		this.qcopcode = qcopcode;
	}

	public Date getQcopdate() {
		return this.qcopdate;
	}

	public void setQcopdate(Date qcopdate) {
		this.qcopdate = qcopdate;
	}

	public String getReqcresult() {
		return this.reqcresult;
	}

	public void setReqcresult(String reqcresult) {
		this.reqcresult = reqcresult;
	}

	public Date getReqcopdate() {
		return this.reqcopdate;
	}

	public void setReqcopdate(Date reqcopdate) {
		this.reqcopdate = reqcopdate;
	}

	public String getReqcopcode() {
		return this.reqcopcode;
	}

	public void setReqcopcode(String reqcopcode) {
		this.reqcopcode = reqcopcode;
	}

	public BigDecimal getQcodd() {
		return this.qcodd;
	}

	public void setQcodd(BigDecimal qcodd) {
		this.qcodd = qcodd;
	}

	public BigDecimal getQcpcs() {
		return this.qcpcs;
	}

	public void setQcpcs(BigDecimal qcpcs) {
		this.qcpcs = qcpcs;
	}

	public BigDecimal getQcqty() {
		return this.qcqty;
	}

	public void setQcqty(BigDecimal qcqty) {
		this.qcqty = qcqty;
	}

	public BigDecimal getTimes() {
		return this.times;
	}

	public void setTimes(BigDecimal times) {
		this.times = times;
	}

}
